<?php

namespace Cocorico\EdnBundle\Wsdl;

/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'loginType' => '\\Cocorico\\EdnBundle\\Wsdl\\StructType\\LoginType',
            'extendedLoginType' => '\\Cocorico\\EdnBundle\\Wsdl\\StructType\\ExtendedLoginType',
            'errorType' => '\\Cocorico\\EdnBundle\\Wsdl\\StructType\\ErrorType',
            'addressType' => '\\Cocorico\\EdnBundle\\Wsdl\\StructType\\AddressType',
            'quoteAddressType' => '\\Cocorico\\EdnBundle\\Wsdl\\StructType\\QuoteAddressType',
            'productType' => '\\Cocorico\\EdnBundle\\Wsdl\\StructType\\ProductType',
            'findRelaysRequest' => '\\Cocorico\\EdnBundle\\Wsdl\\StructType\\FindRelaysRequest',
            'findRelaysResponse' => '\\Cocorico\\EdnBundle\\Wsdl\\StructType\\FindRelaysResponse',
            'getRelayRequest' => '\\Cocorico\\EdnBundle\\Wsdl\\StructType\\GetRelayRequest',
            'getRelayResponse' => '\\Cocorico\\EdnBundle\\Wsdl\\StructType\\GetRelayResponse',
            'getQuoteRequest' => '\\Cocorico\\EdnBundle\\Wsdl\\StructType\\GetQuoteRequest',
            'getCarrierQuoteRequest' => '\\Cocorico\\EdnBundle\\Wsdl\\StructType\\GetCarrierQuoteRequest',
            'getBuyingPriceRequest' => '\\Cocorico\\EdnBundle\\Wsdl\\StructType\\GetBuyingPriceRequest',
            'getQuoteResponse' => '\\Cocorico\\EdnBundle\\Wsdl\\StructType\\GetQuoteResponse',
            'getPricingResponse' => '\\Cocorico\\EdnBundle\\Wsdl\\StructType\\GetPricingResponse',
            'carrierType' => '\\Cocorico\\EdnBundle\\Wsdl\\StructType\\CarrierType',
            'carrierCompanyType' => '\\Cocorico\\EdnBundle\\Wsdl\\StructType\\CarrierCompanyType',
            'carrierOptionsType' => '\\Cocorico\\EdnBundle\\Wsdl\\StructType\\CarrierOptionsType',
            'getCarriersResponse' => '\\Cocorico\\EdnBundle\\Wsdl\\StructType\\GetCarriersResponse',
            'getCarrierCompaniesResponse' => '\\Cocorico\\EdnBundle\\Wsdl\\StructType\\GetCarrierCompaniesResponse',
            'createShipmentRequest' => '\\Cocorico\\EdnBundle\\Wsdl\\StructType\\CreateShipmentRequest',
            'createShipmentResponse' => '\\Cocorico\\EdnBundle\\Wsdl\\StructType\\CreateShipmentResponse',
            'createReturnRequest' => '\\Cocorico\\EdnBundle\\Wsdl\\StructType\\CreateReturnRequest',
            'createReturnResponse' => '\\Cocorico\\EdnBundle\\Wsdl\\StructType\\CreateReturnResponse',
            'packageType' => '\\Cocorico\\EdnBundle\\Wsdl\\StructType\\PackageType',
            'quotePackageType' => '\\Cocorico\\EdnBundle\\Wsdl\\StructType\\QuotePackageType',
            'quoteType' => '\\Cocorico\\EdnBundle\\Wsdl\\StructType\\QuoteType',
            'carrierQuoteType' => '\\Cocorico\\EdnBundle\\Wsdl\\StructType\\CarrierQuoteType',
            'buyingPriceType' => '\\Cocorico\\EdnBundle\\Wsdl\\StructType\\BuyingPriceType',
            'zoneType' => '\\Cocorico\\EdnBundle\\Wsdl\\StructType\\ZoneType',
            'getShipmentRequest' => '\\Cocorico\\EdnBundle\\Wsdl\\StructType\\GetShipmentRequest',
            'getShipmentsRequest' => '\\Cocorico\\EdnBundle\\Wsdl\\StructType\\GetShipmentsRequest',
            'getShipmentsResponse' => '\\Cocorico\\EdnBundle\\Wsdl\\StructType\\GetShipmentsResponse',
            'shipmentType' => '\\Cocorico\\EdnBundle\\Wsdl\\StructType\\ShipmentType',
            'trackingEventType' => '\\Cocorico\\EdnBundle\\Wsdl\\StructType\\TrackingEventType',
            'relayType' => '\\Cocorico\\EdnBundle\\Wsdl\\StructType\\RelayType',
            'openingHoursType' => '\\Cocorico\\EdnBundle\\Wsdl\\StructType\\OpeningHoursType',
            'setTrackingEventsRequest' => '\\Cocorico\\EdnBundle\\Wsdl\\StructType\\SetTrackingEventsRequest',
            'setTrackingEventsResponse' => '\\Cocorico\\EdnBundle\\Wsdl\\StructType\\SetTrackingEventsResponse',
            'extendedTrackingEventType' => '\\Cocorico\\EdnBundle\\Wsdl\\StructType\\ExtendedTrackingEventType',
            'createPickupRequest' => '\\Cocorico\\EdnBundle\\Wsdl\\StructType\\CreatePickupRequest',
            'createPickupResponse' => '\\Cocorico\\EdnBundle\\Wsdl\\StructType\\CreatePickupResponse',
            'cancelPickupRequest' => '\\Cocorico\\EdnBundle\\Wsdl\\StructType\\CancelPickupRequest',
            'cancelPickupResponse' => '\\Cocorico\\EdnBundle\\Wsdl\\StructType\\CancelPickupResponse',
        );
    }
}
